> For the complete documentation index, see [llms.txt](https://docs.spice.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spice.ai/docs/enterprise/deployment/azure-workload-identity.md).

# Azure Workload Identity

Azure Workload Identity allows Spice.ai pods on Azure Kubernetes Service (AKS) to authenticate with Azure services (Blob Storage, Key Vault, etc.) using federated credentials.

## Configuration

Annotate the Spice `ServiceAccount` with the Azure managed identity client ID:

### Helm Chart

```yaml
serviceAccount:
  create: true
  annotations:
    azure.workload.identity/client-id: <AZURE_CLIENT_ID>
```

### SpicepodSet (Kubernetes Operator)

```yaml
apiVersion: spice.ai/v1
kind: SpicepodSet
metadata:
  name: my-spicepod
spec:
  replicas: 1
  service_account:
    enabled: true
    create: true
    annotations:
      azure.workload.identity/client-id: <AZURE_CLIENT_ID>
  spicepod: |
    name: my-spicepod
    kind: Spicepod
    version: v1
```

## Prerequisites

1. Enable the Azure Workload Identity add-on on your AKS cluster.
2. Create a managed identity and federated credential.
3. Assign the necessary roles to the managed identity for the Azure resources your Spicepod accesses.

See [Azure Workload Identity documentation](https://learn.microsoft.com/en-us/azure/aks/workload-identity-overview) for full setup instructions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.spice.ai/docs/enterprise/deployment/azure-workload-identity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
